vlc crashed with SIGSEGV in Close()

Bug #958462 reported by Томица Кораћ on 2012-03-18
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
VLC media player
Fix Released
Unknown
vlc (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

Don't know what happened.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: vlc-nox 2.0.0-4
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Sun Mar 18 14:39:57 2012
ExecutablePath: /usr/bin/vlc
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120201.2)
ProcCmdline: /usr/bin/vlc
SegvAnalysis:
 Segfault happened at: 0x7f821c850da7: mov (%r11),%rdi
 PC (0x7f821c850da7) ok
 source "(%r11)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%rdi" ok
 Stack memory exhausted (SP below stack segment)
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: vlc
StacktraceTop:
 ?? () from /usr/lib/vlc/plugins/visualization/libvisual_plugin.so
 vlc_module_unload () from /usr/lib/libvlccore.so.5
 ?? () from /usr/lib/libvlccore.so.5
 ?? () from /usr/lib/libvlccore.so.5
 ?? () from /usr/lib/libvlccore.so.5
Title: vlc crashed with SIGSEGV in vlc_module_unload()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom debian-tor dip lpadmin plugdev sambashare sudo vboxusers

CVE References

StacktraceTop:
 Close (p_this=0x7f82340205c8) at visual.c:379
 vlc_module_unload (module=<optimized out>, deinit=<optimized out>) at modules/modules.c:411
 aout_FiltersDestroyPipeline (filters=0x7f82340008c8, n=3) at audio_output/filters.c:196
 aout_InputDelete (p_aout=0x7f822400ee98, p_input=0x7f82340008c0) at audio_output/input.c:318
 aout_Shutdown (p_aout=<optimized out>) at audio_output/dec.c:153

Changed in vlc (Ubuntu):
importance: Undecided → Medium
summary: - vlc crashed with SIGSEGV in vlc_module_unload()
+ vlc crashed with SIGSEGV in Close()
tags: removed: need-amd64-retrace
Benjamin Drung (bdrung) on 2012-05-23
visibility: private → public
Benjamin Drung (bdrung) on 2012-05-26
Changed in vlc (Ubuntu):
status: New → Triaged
Benjamin Drung (bdrung) on 2012-07-21
Changed in vlc:
milestone: none → 2.1.0
Benjamin Drung (bdrung) on 2012-08-01
Changed in vlc (Ubuntu):
status: Triaged → Fix Committed
Benjamin Drung (bdrung) on 2012-08-01
Changed in vlc:
milestone: 2.1.0 → 2.0.4
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.4-0ubuntu1

---------------
vlc (2.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1067064).
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * Drop backported bp-fix-hang-caused-by-notify.patch.
  * Build the sftp access and Opus codec plugin and add them to vlc-nox.
 -- Benjamin Drung <email address hidden> Mon, 15 Oct 2012 22:28:55 +0200

Changed in vlc (Ubuntu):
status: Fix Committed → Fix Released
Changed in vlc:
status: Unknown → Fix Released

Hello Томица, or anyone else affected,

Accepted vlc into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/vlc/2.0.4-0ubuntu0.12.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in vlc (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.5-0ubuntu0.12.04.1

---------------
vlc (2.0.5-0ubuntu0.12.04.1) precise-security; urgency=low

  * New bug-fixing upstream release.
    - Fix hang caused by the notify plugin. (Closes: #662628, LP: #970447)
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * SECURITY UPDATE: denial of service via crafted PNG file (LP: #1084054)
    - CVE-2012-5470
  * SECURITY UPDATE: Buffer overflows in freetype renderer and HTML subtitle
    parser can cause a denial of service (process termination) and possibly
    execute arbitrary code.
    - VideoLAN-SA-1301
 -- Benjamin Drung <email address hidden> Sat, 05 Jan 2013 14:47:33 +0100

Changed in vlc (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.